//NS > Mapping hint:
//At placing this actor inside map probably you'll be surprised to not see it
//Don't retry to add another one, simply look for it and pull it down in a visible zone
//Else leave it and simply modify TAG to match Boss's EVENT if you can get its defaultproperties
//Boss dies and will activate Trigger

class MonsterArenaEnd expands MonsterEnd;

#exec Texture Import File=textures\MAEnd.pcx Name=MAEnd Mips=Off Flags=2

function TriggerObjective()
{
	local MonsterHuntArena MH;
	local pawn P;

	if (!Level.Game.bGameEnded) //Added a wrapper
	{
		MH = MonsterHuntArena(Level.Game);
		if (MH != None)
			MH.EndGame("Arena Cleared!");
		else
			log("MonsterArenaEnd - TriggerObjective - MH == None");
	}
}

defaultproperties
{
     bInitiallyActive=False
     InitialState=OtherTriggerTurnsOn
     Texture=Texture'MonsterHunt.MAEnd'
     CollisionRadius=15000.000000
     CollisionHeight=15000.000000
}
